Package org.eclipse.swt.events

## Interface HelpListener

    public interface HelpListener

Classes which implement this interface provide a method that deals with the event that is generated when help is requested for a control, typically when the user presses F1.

After creating an instance of a class that implements this interface it can be added to a control using the `addHelpListener` method and removed using the `removeHelpListener` method. When help is requested for a control, the helpRequested method will be invoked.

Since:
  1.3
See Also:
  `HelpEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `helpRequested​(HelpEvent e)` Sent when help is requested for a control, typically when the user presses F1.

### Method Detail

#### helpRequested

    void helpRequested​(HelpEvent e)

Sent when help is requested for a control, typically when the user presses F1.

Parameters:
  `e` - an event containing information about the help